<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCcdAdvertisingServiceReq StructType
 * @subpackage Structs
 */
class AddCcdAdvertisingServiceReq extends APIRequest
{
    /**
     * The ccdAdvertisingService
     * @var XCcdAdvertisingService
     */
    public $ccdAdvertisingService;
    /**
     * Constructor method for AddCcdAdvertisingServiceReq
     * @uses AddCcdAdvertisingServiceReq::setCcdAdvertisingService()
     * @param XCcdAdvertisingService $ccdAdvertisingService
     */
    public function __construct(XCcdAdvertisingService $ccdAdvertisingService = null)
    {
        $this
            ->setCcdAdvertisingService($ccdAdvertisingService);
    }
    /**
     * Get ccdAdvertisingService value
     * @return XCcdAdvertisingService|null
     */
    public function getCcdAdvertisingService()
    {
        return $this->ccdAdvertisingService;
    }
    /**
     * Set ccdAdvertisingService value
     * @param XCcdAdvertisingService $ccdAdvertisingService
     * @return AddCcdAdvertisingServiceReq
     */
    public function setCcdAdvertisingService(XCcdAdvertisingService $ccdAdvertisingService = null)
    {
        $this->ccdAdvertisingService = $ccdAdvertisingService;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCcdAdvertisingServiceReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
